Net::Amazon::Request::Similar - request class for 'Similarities Search' use Net::Amazon; use Net::Amazon::Request::Similar; my $ua = Net::Amazon->new( token => 'YOUR_AMZN_TOKEN' ); my $req = Net::Amazon::Request::Similar->new( similar => 'B00005B6TL', ); # Response is of type Net::Amazon::Response::Similar my $resp = $ua->request($req); "Net::Amazon::Request::Similar" is a class used to request so-called Similarities Searches from the Amazon web service. The "asin" parameter specifies the ASIN of the item which you want to get similar items for. Upon success, the response's "properties()" method will return a list of "Net::Amazon::Property::*" objects.

METHODS
Constructs a new "Net::Amazon::Request::Similar" object. Check Net::Amazon::Request for common request parameters not listed here. Mike Schilli, <m@perlmeister.com> Copyright 2003 by Mike Schilli <m@perlmeister.com> This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.